restrictedservice

Full documentation for this service is available at /documentation/restrictedservice.

GetRequestResults |WebMethod|

Retrieves final request results for asynchronous requests like: AddShopItem and SetPriceOnShopItems.

Parameters
  1. requestIds, Request ids that are returned from asynchronous requests.
Returns

Array of found RequestResult for every request id that was provided. No request result will be returned for request ids that at the time have no result.

SOAP 1.1

The following is a sample SOAP 1.1 request and response. The placeholders shown need to be replaced with actual values.

POST /v3/restrictedservice.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: text/xml; charset=utf-8
SOAPAction: "http://api.tradera.com/GetRequestResults"
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <GetRequestResults xmlns="http://api.tradera.com">
      <requestIds>requestIds</requestIds>
    </GetRequestResults>
  </soap:Body>
</soap:Envelope>
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <GetRequestResultsResponse xmlns="http://api.tradera.com">
      <GetRequestResultsResult>Array of found RequestResult for every request id that was provided. No request result will be returned for request ids that at the time have no result.</GetRequestResultsResult>
    </GetRequestResultsResponse>
  </soap:Body>
</soap:Envelope>

SOAP 1.2

The following is a sample SOAP 1.2 request and response. The placeholders shown need to be replaced with actual values.

POST /v3/restrictedservice.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <GetRequestResults xmlns="http://api.tradera.com">
      <requestIds>requestIds</requestIds>
    </GetRequestResults>
  </soap12:Body>
</soap12:Envelope>
HTTP/1.1 200 OK
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <GetRequestResultsResponse xmlns="http://api.tradera.com">
      <GetRequestResultsResult>Array of found RequestResult for every request id that was provided. No request result will be returned for request ids that at the time have no result.</GetRequestResultsResult>
    </GetRequestResultsResponse>
  </soap12:Body>
</soap12:Envelope>

HTTP GET

The following is a sample HTTP GET request and response. The placeholders shown need to be replaced with actual values.

GET /v3/restrictedservice.asmx/GetRequestResults?appId=string&appKey=string&requestIds=string HTTP/1.1
Host: api.tradera.com
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<GetRequestResultsResult xmlns="http://api.tradera.com">Array of found RequestResult for every request id that was provided. No request result will be returned for request ids that at the time have no result.</GetRequestResultsResult>

HTTP POST

The following is a sample HTTP POST request and response. The placeholders shown need to be replaced with actual values.

POST /v3/restrictedservice.asmx/GetRequestResults HTTP/1.1
Host: api.tradera.com
Content-Type: application/x-www-form-urlencoded
Content-Length: length

appId=string&appKey=string&requestIds=string
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<GetRequestResultsResult xmlns="http://api.tradera.com">Array of found RequestResult for every request id that was provided. No request result will be returned for request ids that at the time have no result.</GetRequestResultsResult>